<?php

class tx_mageconnect_UserDetails 
{

	var $cObj;

   /**
	* showUserDetail
	* Returns the value that is given
	* by the command "setParameter"
	* 
	* @param NULL $parameter
	* @param string $conf
	* @return string
	*/
	function showUserDetail($parameter, $conf) 
	{
		$parameter = $conf['setParameter'];
		$fe_user = $GLOBALS['TSFE']->fe_user->user;

		if ($fe_user) {
			
			$value = $this->explodeMageConnectDetail($parameter);

			if (is_array($value)) {
				return $value[$parameter];
			}
		}
		return '';
	}

	/**
	 * explodeMageConnectDetail
	 * Explodes MageConnect Details and returns
	 * a given value
	 * 
	 * @param string $detailname
	 * @return string $detailvalue
	 */	
	 function explodeMageConnectDetail($detailname)
	 {
	 	if ($detailname) {
	 		
			$fe_user = $GLOBALS['TSFE']->fe_user->user;
			$details = explode('*', $fe_user['tx_mageconnect_magento_customer_attr']);

			foreach($details as $key=>$detail)
			{
				$tmp = explode('::', $detail);

				if ($tmp[0] == $detailname)
				{
					$detaildata[$tmp[0]] = $tmp[1];
				}
			}
			return $detaildata;
		}
		return '';
	 }

}

